<?php
/**
 * Plugin Name: tigaman webdesign - BMI Calculator
 * Plugin URI: https://www.tigaman.com/
 * Description: Insert BMI Calculator to your content.
 * Version: 1.0
 * Author: tigaman webdesign
 * Author URI: https://www.tigaman.hu
 * Text Domain: twd-bmi-calculator
 * Domain Path: languages
 */
 ?>
<?php function twd_bmi_calculator_load_textdomain() {
    load_plugin_textdomain('twd-bmi-calculator', false, dirname(plugin_basename(__FILE__)) . '/languages/');
}
add_action('plugins_loaded', 'twd_bmi_calculator_load_textdomain');
?>
<?php
// Enqueue CSS
function twdbmic_enqueue_styles() {
    wp_enqueue_style('twdbmic-style', plugins_url('twd-bmi-calculator.css', __FILE__));
}
add_action('wp_enqueue_scripts', 'twdbmic_enqueue_styles');

// Shortcode for displaying the BMI calculator
function twdbmic_bmi_calculator_shortcode() {
    ob_start();
    include(plugin_dir_path(__FILE__) . 'twd-bmi-calculator.php');
    return ob_get_clean();
}
add_shortcode('twdbmicalculator', 'twdbmic_bmi_calculator_shortcode');

class TWDBMIC_BMI_Calculator_Widget extends WP_Widget {
    // Constructor
    function __construct() {
        parent::__construct(
            'twdbmic_bmi_calculator_widget',
            __('TWD BMI Calculator Widget', 'twdbmic'),
            array('description' => __('Displays the BMI calculator.', 'twdbmic'))
        );
    }

    // Widget output
    public function widget($args, $instance) {
        $title = apply_filters('widget_title', $instance['title']);

        echo $args['before_widget'];
        
        if ($title) {
            echo $args['before_title'] . $title . $args['after_title'];
        }

        include(plugin_dir_path(__FILE__) . 'twd-bmi-calculator.php');
        
        echo $args['after_widget'];
    }

    // Widget form
    public function form($instance) {
        $title = isset($instance['title']) ? $instance['title'] : '';
        ?>
        <p>
            <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:'); ?></label>
            <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($title); ?>" placeholder="BMI Calculator">
        </p>
        <?php
    }

    // Update widget settings
    public function update($new_instance, $old_instance) {
        $instance = $old_instance;
        $instance['title'] = strip_tags($new_instance['title']);
        return $instance;
    }

    // Override widget options to prevent display on Widgets admin page
    public function widget_options($args, $instance) {
        return array();
    }
}

// Register the widget
function twdbmic_register_widget() {
    register_widget('TWDBMIC_BMI_Calculator_Widget');
}
add_action('widgets_init', 'twdbmic_register_widget');
// Option page
function twdbmic_add_option_page() {
    add_options_page(
        'TWD BMI Calculator',
        'TWD BMI Calculator',
        'manage_options',
        'twdbmic_info',
        'twdbmic_info_page'
    );
}
add_action('admin_menu', 'twdbmic_add_option_page');

// Info page callback
function twdbmic_info_page() {
    ?>
    <div class="wrap">
        <h1>TWD BMI Calculator Plugin</h1>
        <p>Information about the TWD BMI Calculator plugin.<p>Use the shortcode below to calculate your BMI:</p>
      <p>[twdbmicalculator]
      </p>
      </p>

            <p>Introducing the TWD BMI Calculator plugin for your WordPress website! Seamlessly integrate a powerful Body Mass Index (BMI) calculator into your content and empower your users to monitor their health and fitness goals with ease. This user-friendly plugin offers a comprehensive solution for calculating BMI, a crucial metric for understanding one's body composition.</p>
            <p>With the TWD BMI Calculator plugin, you can provide your audience with an essential tool to assess their fitness journey. Whether you're a health blogger, fitness enthusiast, or wellness advocate, this plugin enables you to offer valuable insights to your users. Simply insert the shortcode into your posts or pages to display the BMI calculator right where your audience needs it.</p>
            <p>Not only does the TWD BMI Calculator plugin offer shortcode integration, but it also comes with a customizable widget, allowing you to effortlessly add the BMI calculator to your website's sidebar or widgetized areas. Seamlessly blend the calculator into your site's design, creating a cohesive and informative user experience.</p>
            <p>Stay ahead in the wellness realm by using the TWD BMI Calculator plugin to provide your visitors with a practical and accurate way to track their body's composition. Join the countless websites that are already enhancing their content with this essential health and fitness tool. Download and install the TWD BMI Calculator plugin now to take your website's health and wellness offerings to the next level.</p>

      <p>inpired by: <a href="https://codepen.io/yuan0318/pen/wxVWdQ" target="_blank">https://codepen.io/yuan0318/pen/wxVWdQ</a></p>
        <hr />
        <h1 align="center">More great freebies</h1>
        <style type="text/css">
            #tigamandotcom {
                width: 100%;
                height: 800px;
                overflow-x: hidden;
            }

            .form-table th {
                display: flex;
                align-items: center;
            }

            .form-table input {
                width: 300px;
                padding: 10px;
            }

            .clear {
                clear: both;
            }

            #wpfooter {
                display: none;
            }
        </style>
        <div id="tigamandotcom">
            <embed type="text/html" src="https://www.tigaman.com/tigaman-webdesign-wordpress-plugins/" style="width: 100%; height: 800px;"></embed>
        </div>
        <div class="clear"></div>

</div>
   
<?php  }?>
<?php add_filter('plugin_action_links_' . plugin_basename(__FILE__), 'twdbmicww_settings_link');
function twdbmicww_settings_link(array $links)
{
    $url = get_admin_url() . "admin.php?page=twdbmic_info";
    $settings_link = '<a href="' . $url . '">' . __('Settings', 'akismet') . '</a>';
    $links[] = $settings_link;
    return $links;
} ?>