<div class="bmicalcaulator">
<div class="bmicard">
  <div class="title">
    <h2><?php _e('BMI CALCULATOR', 'twd-bmi-calculator'); ?></h2>
  </div>
  <div class="screen_1">
    <div class="genderBlock male">
      <div class="genderText"><?php _e('Male', 'twd-bmi-calculator'); ?></div>
    </div>
    <div class="genderBlock female">
      <div class="genderText"><?php _e('Female', 'twd-bmi-calculator'); ?></div>
    </div>
    <div class="heightBlock">
      <div class="blockText"><?php _e('Height', 'twd-bmi-calculator'); ?>(cm)</div>
      <input class="heightInput"/>
    </div>
    <div class="heightBlock">
      <div class="blockText"><?php _e('Weight', 'twd-bmi-calculator'); ?>(kg)</div>
      <input class="weightInput">
    </div>
    <div class="heightBlock">
      <div class="blockText"><?php _e('Age', 'twd-bmi-calculator'); ?></div>
      <input class="ageInput">
    </div>
  </div>
  <div class="calculateBtn"><?php _e('Calculate', 'twd-bmi-calculator'); ?></div>
  <div class="screen_2">
    <div class="resultTitle"><h2><?php _e('Your Results', 'twd-bmi-calculator'); ?></h2></div>
    <div class="blockOutside">
      <div class="blockInside">
        <div class="resultRange"><?php _e('Normal range', 'twd-bmi-calculator'); ?></div>
        <div class="resultBMI">22.0</div>
        <div class="suggestBMI">
          <div class="suggestTitle"><?php _e('Suggest BMI range', 'twd-bmi-calculator'); ?></div>
          <span class="min">18.5</span><span>~</span><span class="max">24.0</span><span> kg/m2</span>
          <div class="suggestTitle"><?php _e('IDEAL WEIGHT', 'twd-bmi-calculator'); ?> <span class="min idealWeight">18.5</span></div>
          <div class="suggestion"><?php _e('You have a normal body weight. Good job!', 'twd-bmi-calculator'); ?></div>

<p><?php _e('Body Mass Index (BMI)', 'twd-bmi-calculator'); ?><?php _e(':is a value derived from the mass (weight) and height of a person. The BMI is defined as the body mass divided by the square of the body height, and is expressed in units of kg/m2, resulting from mass in kilograms and height in metres.', 'twd-bmi-calculator'); ?></p>          
          
        </div>
        
        
        

      </div>
    </div>
  </div>
</div>
</div>

<div class="bmicategories">
<div class="bmicategorieitem bmicategorieshead">
      <div><?php _e('Category', 'twd-bmi-calculator'); ?></div>
      <div>BMI (kg/m2)</div>
    </div>
    <div id="severethinness" class="bmicategorieitem">
      <div><?php _e('Underweight (Severe thinness)', 'twd-bmi-calculator'); ?></div>
      <div>&lt; 16.0 </div>
    </div>
    <div id="moderatethinness" class="bmicategorieitem">
      <div><?php _e('Underweight (Moderate thinness)', 'twd-bmi-calculator'); ?></div>
      <div>16.0 – 16.9</div>
    </div>
    <div id="mildthinness" class="bmicategorieitem">
      <div><?php _e('Underweight (Mild thinness)', 'twd-bmi-calculator'); ?></div>
      <div>17.0 – 18.4</div>
    </div>
    <div id="normalrange" class="bmicategorieitem">
      <div><?php _e('Normal range', 'twd-bmi-calculator'); ?></div>
      <div>18.5 – 24.9 </div>
    </div>
    <div id="overweight" class="bmicategorieitem">
      <div><?php _e('Overweight', 'twd-bmi-calculator'); ?></div>
      <div>25.0 – 29.9</div>
    </div>
    <div id="obese1" class="bmicategorieitem">
      <div><?php _e('Obese', 'twd-bmi-calculator'); ?> (I)</div>
      <div>30.0 – 34.9</div>
    </div>
    <div id="obese2" class="bmicategorieitem">
      <div><?php _e('Obese', 'twd-bmi-calculator'); ?> (II)</div>
      <div>35.0 – 39.9</div>
    </div>
    <div id="obese3" class="bmicategorieitem">
      <div><?php _e('Obese', 'twd-bmi-calculator'); ?> (III)</div>
      <div>≥ 40.0 </div>
    </div>
    <div class="bmicategorieitem" onclick="window.open('https://www.tigaman.com', '_blank');">
     <div class="tigamanwebdesign">.
      <span class="fade-text">powered by: tigaman webdesign</span>
      <span class="fade-text">tigaman webdesign - free themes</span>
      <span class="fade-text">tigaman webdesign - free plugins</span>
      <span class="fade-text">tigaman webdesign - free code snippets</span>
     </div>
     <div class="poweredby">.</div>
    </div> 

<div class="clear"></div>





</div>


<script type="text/javascript">
var weight, height, age, gender;
var BMI, range;
var page = 1;
weight = 50;
age = 25;

document.querySelector(".calculateBtn").addEventListener("click", function() {
    if (page == 1) {
        height = parseFloat(document.querySelector(".heightInput").value);
        document.querySelector(".screen_2").style.left = "0%";
        document.querySelector(".screen_1").style.right = "100%";
        weight = parseFloat(document.querySelector(".weightInput").value);
        age = parseFloat(document.querySelector(".ageInput").value);
        BMI = weight / ((height / 100) * (height / 100));
        BMI = BMI.toFixed(4);


        // Calculate the ideal BMI based on a healthy range (e.g., 21.7)
        var idealBMI = 21.7;

        // Calculate the ideal weight based on the ideal BMI and user's height
        var idealWeight = idealBMI * ((height / 100) * (height / 100));
        idealWeight = idealWeight.toFixed(2);



        if (BMI < 16.0) {
            range = '<?php _e('Underweight (Severe thinness)', 'twd-bmi-calculator'); ?>';
            document.querySelector(".resultRange").style.color = "#E5235A";
            document.querySelector(".suggestion").textContent = "<?php _e('You have severe thinness. Please consult a healthcare professional.', 'twd-bmi-calculator'); ?>";
        } else if (BMI >= 16.0 && BMI <= 16.9) {
            range = '<?php _e('Underweight (Moderate thinness)', 'twd-bmi-calculator'); ?>';
            document.querySelector(".resultRange").style.color = "#E5235A";
            document.querySelector(".suggestion").textContent = "<?php _e('You have moderate thinness. Please consider improving your nutritional intake.', 'twd-bmi-calculator'); ?>";
        } else if (BMI >= 17.0 && BMI <= 18.4) {
            range = '<?php _e('Underweight (Mild thinness)', 'twd-bmi-calculator'); ?>';
            document.querySelector(".resultRange").style.color = "#E5235A";
            document.querySelector(".suggestion").textContent = "<?php _e('You have mild thinness. Focus on a balanced diet and healthy habits.', 'twd-bmi-calculator'); ?>";
        } else if (BMI >= 18.5 && BMI <= 24.9) {
            range = '<?php _e('Normal range', 'twd-bmi-calculator'); ?>';
            document.querySelector(".resultRange").style.color = "#32DC7C";
            document.querySelector(".suggestion").textContent = "<?php _e('You have a normal body weight. Good job!', 'twd-bmi-calculator'); ?>";
        } else if (BMI >= 25.0 && BMI <= 29.9) {
            range = '<?php _e('Overweight', 'twd-bmi-calculator'); ?>';
            document.querySelector(".resultRange").style.color = "#E5235A";
            document.querySelector(".suggestion").textContent = "<?php _e('You are overweight. Consider adopting a healthier lifestyle.', 'twd-bmi-calculator'); ?>";
        } else if (BMI >= 30.0 && BMI <= 34.9) {
            range = '<?php _e('Obese', 'twd-bmi-calculator'); ?> (I)';
            document.querySelector(".resultRange").style.color = "#E5235A";
            document.querySelector(".suggestion").textContent = "<?php _e('You have obesity (Class 1). It is important to address this for your health.', 'twd-bmi-calculator'); ?>";
        } else if (BMI >= 35.0 && BMI <= 39.9) {
            range = '<?php _e('Obese', 'twd-bmi-calculator'); ?> (II)';
            document.querySelector(".resultRange").style.color = "#E5235A";
            document.querySelector(".suggestion").textContent = "<?php _e('You have obesity (Class 2). Consult a healthcare professional for guidance.', 'twd-bmi-calculator'); ?>";
        } else {
            range = '<?php _e('Obese', 'twd-bmi-calculator'); ?> (III)';
            document.querySelector(".resultRange").style.color = "#E5235A";
            document.querySelector(".suggestion").textContent = "<?php _e('You have severe obesity (Class 3). Seek medical advice for managing your health.', 'twd-bmi-calculator'); ?>";
        }

        // Display the ideal weight
        document.querySelector(".idealWeight").textContent = idealWeight + " kg";



        // Highlight the corresponding table row based on the BMI category
document.querySelectorAll(".bmicategorieitem").forEach(function(item) {
    item.classList.remove("highlight");
});


    if (range === "<?php _e('Underweight (Severe thinness)', 'twd-bmi-calculator'); ?>") {
        document.getElementById("severethinness").classList.add("highlight");
    } else if (range === "<?php _e('Underweight (Moderate thinness)', 'twd-bmi-calculator'); ?>") {
        document.getElementById("moderatethinness").classList.add("highlight");
    } else if (range === "<?php _e('Underweight (Mild thinness)', 'twd-bmi-calculator'); ?>") {
        document.getElementById("mildthinness").classList.add("highlight");
    } else if (range === "<?php _e('Normal range', 'twd-bmi-calculator'); ?>") {
        document.getElementById("normalrange").classList.add("highlight");
    } else if (range === "<?php _e('Overweight', 'twd-bmi-calculator'); ?>") {
        document.getElementById("overweight").classList.add("highlight");
    } else if (range === "<?php _e('Obese', 'twd-bmi-calculator'); ?> (I)") {
        document.getElementById("obese1").classList.add("highlight");
    } else if (range === "<?php _e('Obese', 'twd-bmi-calculator'); ?> (II)") {
        document.getElementById("obese2").classList.add("highlight");
    } else if (range === "<?php _e('Obese', 'twd-bmi-calculator'); ?> (III)") {
        document.getElementById("obese3").classList.add("highlight");
    }

        document.querySelector(".resultRange").textContent = range;
        document.querySelector(".resultBMI").textContent = BMI;
        document.querySelector(".calculateBtn").textContent = "<?php _e('RE-CALCULATE YOUR BMI', 'twd-bmi-calculator'); ?>";
        page = 2;
    } else {
        document.querySelector(".screen_2").style.left = "100%";
        document.querySelector(".screen_1").style.right = "0%";
        document.querySelector(".calculateBtn").textContent = "<?php _e('Calculate', 'twd-bmi-calculator'); ?>";
        page = 1;
    }
});

document.querySelector(".male").addEventListener("click", function() {
    gender = 'male';
    document.querySelector(".male").classList.add("genderClicked");
    document.querySelector(".female").classList.remove("genderClicked");
});

document.querySelector(".female").addEventListener("click", function() {
    gender = 'female';
    document.querySelector(".female").classList.add("genderClicked");
    document.querySelector(".male").classList.remove("genderClicked");
});

document.querySelector(".weightMinus").addEventListener("click", function() {
    weight--;
    document.querySelector(".weightInput").value = weight;
});

document.querySelector(".weightPlus").addEventListener("click", function() {
    weight++;
    document.querySelector(".weightInput").value = weight;
});

document.querySelector(".ageMinus").addEventListener("click", function() {
    age--;
    document.querySelector(".ageInput").value = age;
});

document.querySelector(".agePlus").addEventListener("click", function() {
    age++;
    document.querySelector(".ageInput").value = age;
});
</script>